name: calcium_imaging
channels:
  - conda-forge
  - defaults

dependencies:
  - python>=3.12.11,<3.13
  - pip>=25.1.1,<26
  - oasis-deconv>=0.2.1,<0.3
  - pip:
    - bokeh-sampledata>=2025.0,<2026
    - hvplot>=0.11.3,<0.12
    - import-ipynb>=0.2,<0.3
    - ipykernel>=6.29.5,<7
    - jupytext>=1.17.2,<2
    - lxml>=4.9.3,<5.0.0
    - matplotlib>=3.10.3,<4
    - napari>=0.6.2,<0.7
    - netcdf4>=1.7.2,<2
    - nitime>=0.11,<0.12
    - numpy>=1.26,<3.0
    - openpyxl>=3.1.4,<3.2.0
    - pandas>=2.3.0,<3
    - panel>=1.7.5,<2
    - papermill>=2.6.0,<3
    - pingouin>=0.5.5,<0.6
    - pyarrow>=15.0.0,<16
    - pywavelets>=1.8.0,<2
    - scikit-image>=0.25.2,<0.26
    - scipy>=1.10,<2
    - seaborn>=0.13.2,<0.14
    - tifffile>=2025.6.11,<2026
    - xarray>=2024.9.0,<2025
